Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84291 - components connecting to session manager
Summary: components connecting to session manager
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: nautilus
Version: RC3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 79578 79829
TreeView+ depends on / blocked
 
Reported: 2003-02-14 04:28 UTC by Havoc Pennington
Modified: 2015-01-08 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-18 16:09:25 UTC


Attachments (Terms of Use)

Description Havoc Pennington 2003-02-14 04:28:31 UTC
The reported hangs on logout could be related to the fact that nautilus throbber, 
various panel applets, etc. are connecting to the session manager.

See:
http://mail.gnome.org/archives/desktop-devel-list/2003-February/msg00615.html

Unfortunately I think this means scrambling around disabling SM for 
various applets and other components. I'm not sure how important it is, 
but it may block bug #79829 (or may not)

Comment 1 Havoc Pennington 2003-02-14 22:34:56 UTC
gnome-panel is done

need to rebuild gnome-applets with new libpanel-applet macros, and 
grep gnome_program_init in gnome-applets checking for other cases.

The fix is generally to add "GNOME_CLIENT_PARAM_SM_CONNECT, FALSE"

Also need to do nautilus components at minimum. I don't know which other things.

Comment 2 Havoc Pennington 2003-02-17 20:23:06 UTC
gnome-panel and gnome-applets done, I think we should fix nautilus components 
(e.g. throbber) and then anything else we notice specifically.

Comment 3 Alexander Larsson 2003-02-18 16:06:33 UTC
Nautilus 2.2.1-3 has this fixed.


Comment 4 Havoc Pennington 2003-02-18 16:09:25 UTC
ok let's call this closed

Comment 5 Alexander Larsson 2003-02-20 15:48:03 UTC
eggcups, pam-panel-applet and rhn-applet are still there. Dunno if this matters?


Comment 6 Alexander Larsson 2003-02-20 15:54:04 UTC
Hmm. I have seen this before, but not after upgrading gnome-panel and
gnome-applets. So it might indeed be fixed.


Comment 7 Alexander Larsson 2003-02-20 15:54:44 UTC
(oops. commented on wrong bug)


Comment 8 Havoc Pennington 2003-02-20 19:31:18 UTC
the tray icons are supposed to be session managed (they aren't applets, more 
like little daemons)


Note You need to log in before you can comment on or make changes to this bug.